Packages - Packaging Request #2318

[iceweasel] needs upgrade to v70 for i686 and arm
2019-05-17 01:45 AM - eliotime3000

Status: wont-fix % Done: 30%
Priority: wish

Assignee: bill-auger

Category:

Description

I've seen that actually the updates of Iceweasel version 66.0.4 and 66.0.5 are related to the Mozilla certificates that are installed from
Firefox add-ons repository. In Iceweasel, I've been using my Firefox Sync account and | didn't have any issues in comparisson with
my netbook partition with Firefox for Arch and Windows.

However, | want to know if this bug is enough reason to apply the 66.0.5 update from the source code of Firefox to Iceweasel.
Thanks.

Bug related with the add-on certificate issue: https:/bugzilla.mozilla.org/show_bug.cgi?id=1549249

Related issues:

Related to Packages - Packaging Request #2158: [icecat]: needs rebuild or upg... in progress
Related to Packages - Bug #2273: [icu] Conflicts with iceape, icecat, icedove... duplicate
History

#1 - 2019-05-21 02:42 PM - eliotime3000

Nevermind. Today, Mozilla anounced the release of Firefox source code in the version 67.0, which haves many improvements (full support of
keyboard shortcuts, embedded filter of cryptocurrency miners, integration of AV1 codec, and many other good news).

https://www.mozilla.org/en-US/firefox/67.0/releasenotes/

Please update Iceweasel source code ASAP.
Thanks.

#2 - 2019-05-22 08:50 AM - bill-auger

- Priority changed from bug to wish

- Assignee set to oaken-source

- Status changed from unconfirmed to open

- Subject changed from [iceweasel] Related with Firefox source code 66.0.4 and 66.0.5 to [iceweasel] upgrade to 66.0.4, 66.0.5, or 67.0

- Tracker changed from Bug to Packaging Request
#3 - 2019-05-23 06:06 PM - bill-auger
started adapting the PKGBUILD and pushed to abslibre (FTBS)
e updated version number and checksums
¢ replaced the previous arch patch with the current one
¢ re-worked libre-searchengines.patch
e renamed toolkit/components/telemetry/TelemetryStartup.{manifest,jsm} in sed command
e _brandingver=66.0

¢ removed the option that disables webrtc for this build - i would like to see if that makes jitsimeet work - if it works, i think we should consider that
as a permanent change - the 'iceweasel-hardened-preferences' can be used by those who want that feature disabled

#4 - 2019-05-26 06:21 PM - bill-auger

oaken-source -

maybe something is missing from the branding package - did you encounter an error like this:
705:58.55 PASS

705:58.55 PASS

706:10.76 toolkit/locales/update.locale.stub

706:22.79 browser/locales/bookmarks.html.stub

706:26.33 Packaging specialpowers@mozilla.org.xpi...

706:26.54 Packaging quitter@mozilla.org.xpi...

706:26.70 Packaging mozscreenshots@mozilla.org.xpi...

706:34.84 Error: $SRCDIR/browser/installer/package-manifest.in:244: Missing file(s): bin/browser/chrome/icons/
default/defaultl6.png

706:34.89 Error: $SRCDIR/browser/installer/package-manifest.in:245: Missing file(s): bin/browser/chrome/icons/
default/default32.png

706:34.90 Error: $SRCDIR/browser/installer/package-manifest.in:246: Missing file(s): bin/browser/chrome/icons/
default/default48.png

706:34.90 Error: $SRCDIR/browser/installer/package-manifest.in:247: Missing file(s): bin/browser/chrome/icons/
default/default64.png

706:34.91 Error: $SRCDIR/browser/installer/package-manifest.in:248: Missing file(s): bin/browser/chrome/icons/
default/defaultl28.png

706:42.07 Traceback (most recent call last):

706:42.07 File "/code/packages/abslibre/libre/iceweasel/src/firefox-67.0/toolkit/mozapps/installer/packager.
py", line 347, in <module>

706:42.08 main ()

706:42.08 File "/code/packages/abslibre/libre/iceweasel/src/firefox-67.0/toolkit/mozapps/installer/packager.
py", line 297, in main

706:42.09 copier.add (mozpath.join(respath, 'removed-files'), removals)
706:42.09 File "/usr/lib64/python2.7/contextlib.py", line 24, in __exit___
706:42.09 self.gen.next ()

706:42.10 File "/code/packages/abslibre/libre/iceweasel/src/firefox-67.0/python/mozbuild/mozpack/errors.py",
line 131, in accumulate
706:42.11 raise AccumulatedErrors ()
706:42.11 mozpack.errors.AccumulatedErrors
706:42.11 make[5]: *** [/code/packages/abslibre/libre/iceweasel/src/firefox-67.0/toolkit/mozapps/installer/pac
kager.mk:23: stage-package] Error 1
706:42.11 make[4]: *** [/code/packages/abslibre/libre/iceweasel/src/firefox-67.0/toolkit/mozapps/installer/pac
kager.mk:95: make-package] Error 2
706:42.13 make[3]: *** [/code/packages/abslibre/libre/iceweasel/src/firefox-67.0/config/rules.mk:400: default]
Error 2
706:42.15 make[2]: *** [/code/packages/abslibre/libre/iceweasel/src/firefox-67.0/browser/build.mk:6: package]
Error 2
706:42.17 make[1l]: *** [Makefile:206: profiledbuild] Error 2
706:42.43 make: *** [client.mk:125: build] Error 2
706:43.06 111 compiler warnings present.
==> ERROR: A failure occurred in build().
Aborting...

#5 - 2019-05-26 07:52 PM - oaken-source

no, my build passed. but thanks for reminding me to publish the package.

#6 - 2019-05-27 02:55 AM - eliotime3000

Thanks by the update. I'm waiting the whole update for Iceweasel and the language packs.

PS: | sent the out-of-date message for Icedove, but the maillist apparently doesn't work so well as usual (inbox, mail archives).

#7 - 2019-05-30 01:54 AM - eliotime3000

So far, the language packs of Iceweasel 67 are not yet updated. They're still on 66.0.3 version.

#8 - 2019-05-30 10:17 AM - oaken-source

- % Done changed from 0 to 50

I'm working on it. A lot of the [10n PKGBUILD needs to be rewritten to reflect the diverging pkgver's of iceweasel across the arches.
but it's getting there.

#9 - 2019-06-05 01:48 AM - eliotime3000

| decided to post there due to the changes applied to this Firefox source code update are a little bit trivial, except to the "Enhanced Tracking
Protection”.

Firefox source code has been released to the version 67.0.1, which added improvements to the "Enhanced Tracking Protection”, which takes features
from Disconnect service.

Another news are not directly focused on the source code, which are completely tied-up with Firefox Sync-based services like Firefox Lockwise,
Facebook Container, Firefox Monitor and Firefox Send.
For more information about general news related with this new security update, please follow this link:

https://www.mozilla.org/en-US/firefox/67.0.1/releasenotes/

For more specific details about Firefox source code, please follow this link:

https://developer.mozilla.org/es/docs/Mozilla/Firefox/Releases/67

Thanks.

#10 - 2019-06-11 05:17 PM - eliotime3000

Mozilla finally released the Firefox source code update, which optimizes the compilation for GNU/Linux and MacOS.

More info: https://www.mozilla.org/en-US/firefox/67.0.2/releasenotes/

Thanks.

#11 - 2019-06-19 03:19 PM - eliotime3000

In June 18, Mozilla updated the Firefox source code to the version 67.0.3, applying a hoffix.

More information: https://www.mozilla.org/en-US/security/advisories/mfsa2019-18/

Thanks.

#12 - 2019-06-20 04:43 PM - eliotime3000

Mozilla has applied a security fix in the Firefox source code in the version 67.0.4.

The description is the following:

Insufficient vetting of parameters passed with the Prompt:0pen IPC message between child and parent processes

can result in the non-sandboxed parent process opening web content chosen by a compromised child process. When
combined with additional vulnerabilities this could result in executing arbitrary code on the user's computer

More info >> https://www.mozilla.org/en-US/security/advisories/mfsa2019-19/

Thanks.

#13 - 2019-07-09 06:59 PM - eliotime3000

Mozilla released a new Firefox source code upgrade, which is on the version 68.0.
The most highlighted features are:

1.- Fingerprinting and cryptominig protection has been added into the content blocking (both release and ESR branches).
2.- Dark mode in reader view.

3.- Redesigned extensions dashboard in about:adons.

4.- New report feature in about:addons to report any security and performance issues with extensions and themes.

Also, the following changes has been applied to the browser:

1.- Unified Bengali variant localizations into one.

2.- Mandatory merge to the British English (en-gb) for the users of the Assamese (as), South African (en-za), Maithili (mai), Malayalam (ml)and Odia
(or) due to the removal of the unmantained localizations.

3.- New update on browser policies (see >> https://github.com/mozilla/policy-templates for more information).

For more details about Firefox 68.0 in the release branch, please go to the following link: https://www.mozilla.org/en-US/firefox/68.0/releasenotes/

Thanks.

#14 - 2019-07-13 07:32 PM - CommodoreCrunch

As an FYI to save someone some time, the following will need changing in order to build Iceweasel 68, at least on x86_64 where I've tried it:
-The Rust patch needs to be removed entirely; it's no longer needed

-The libre-searchengines patch needs fuzzing, as usual

-The build expects a file at branding/content/aboutlogins.svg
EDIT: Oh, and as a freedom issue, you'll probably want to set extensions.htmlaboutaddons.recommendations.enabled to default to false, otherwise
the add-ons settings page will suggest non-free extensions.

EDIT 2: Also for some reason on my test build, the title of the "about Iceweasel" page says "About -brand-full-name", so maybe they added some new
variable that needs assigning. | haven't figured out how to fix this one.

#15 - 2019-07-20 06:45 PM - eliotime3000
A new security update has been released for the Firefox source code (68.0.1).
It fixes many issues related with the locales, including some search engines that worked incorrectly.

More information at >> https://www.mozilla.org/en-US/firefox/68.0.1/releasenotes/

Thanks.

#16 - 2019-07-21 09:22 PM - bill-auger
- Assignee changed from oaken-source to bill-auger
- Status changed from open to in progress

- Subject changed from [iceweasel] upgrade to 66.0.4, 66.0.5, or 67.0 to [iceweasel] upgrade to 68.0.1

i reworked the patches and started a build for x86_64

i simplified the search-engines patch quite a bit, deferring all of the regular lines to a sed command in the PKGBUILD - i also added in my
experimental patch to restore the parabola branding to the "start page" - if that works out as expected, that patch should probably be moved into the
branding tarball

#17 - 2019-07-22 03:50 PM - bill-auger

CommaodoreCrunch -

i dont see any change in toggling the 'extensions.htmlaboutaddons.recommendations.enabled' key - can you explain what that does?
#18 - 2019-08-02 01:54 AM - bill-auger

iceweasel 68.0.1 is in [libre] now

the custom auto-serach-engines still need work - this version has only wikipedia and duckduckgo available - those were fairly easy to enable because
the configs for them are in the upstream sources

#19 - 2019-08-02 02:28 AM - bill-auger
- % Done changed from 50 to 30

#20 - 2019-08-02 03:34 AM - CommodoreCrunch

The 'extensions.htmlaboutaddons.recommendations.enabled' key toggles the "recommended extensions" section in the about:addons page:
https://i.imgur.com/iFnbnEw.png

| don't actually know whether any of these extensions aren't considered free and kosher. | remember seeing them a couple weeks ago and seeing
some relating to Google services, but honestly they're not as bad as | remember. The current pool of recommendations is here:
https://addons.mozilla.org/en-US/firefox/search/?recommended=true&type=extension

Totally up to you guys on whether they're considered freedom-breaking.
#21 - 2019-08-02 08:20 AM - bill-auger

iceweasel 68 will not build against the rust in i686 - it needs >= v1.34
rust >= v1.34 does not build on arch32 i686

https://bugs.archlinux32.org/index.php?task_id=71

the errors i got building in a parabola i686 chroot were different than what they got on arch32

http://termbin.com/crd7

i have arm baking now

#22 - 2019-08-02 05:16 PM - eliotime3000
It looks like RUST in 32 bit version (in the case of Parabola 32) doesn't need to use ROOT or SUDO to compile.
In the case of Arch 32, the LLVM dependence is not up to date.

#23 - 2019-08-02 07:58 PM - bill-auger
ARM croaks on the link job

|  460:50.64 toolkit/library/libxul.so

| 672:15.72 /usr/bin/ld: final link failed: memory exhausted

| 672:16.58 clang-8: error: linker command failed with exit code 1 (use -v to see invocation)

| 672:19.78 make[4]: *** [/build/iceweasel/src/firefox-68.0.1/config/rules.mk:682: libxul.so] Error 1

| 672:20.54 make[3]: *** [/build/iceweasel/src/firefox-68.0.1/config/recurse.mk:74: toolkit/library/target]
Error 2

| 672:20.57 make[2]: *** [/build/iceweasel/src/firefox-68.0.1/config/recurse.mk:34: compile] Error 2

| 672:20.62 make[l]: *** [/build/iceweasel/src/firefox-68.0.1/config/rules.mk:413: default] Error 2

| 672:21.01 make: *** [client.mk:125: build] Error 2

| 672:21.06 136 compiler warnings present.

| ==> ERROR: A failure occurred in build().

| Aborting...

#24 - 2019-08-03 05:17 PM - freemor

Nice work bill-auger

Just a note for myself So I'll remember to tweak it later

extensions.htmlaboutaddons.recommendations.enabled -> False

Disables the suggesting of add-ons. While in 'Extensions' the Recommends Above extensions still shows stuff. I'll look into how to clean that up too

#25 - 2019-08-04 07:47 PM - bill-auger

the recommended extensions feature has a dedicated BR now #2409

other than that and the newtab page, the one remaining issue is locating where to set the 'brand-full-name' branding key - the "about" page of
'icedove’ was broken in a similar way recently (issue #2327)

#26 - 2019-08-05 09:18 PM - eliotime3000

Also, the language packs are outdated for the x86_64 version of Iceweasel. Is possible to build the language packs for Iceweasel?

By the way, | sent a request for update the [[https:/labs.parabola.nu/issues/2411 GNU IceCat]]

#27 - 2019-08-07 02:38 AM - bill-auger

the language packs have been upgraded - thank for reminding

#28 - 2019-09-03 02:50 PM - bill-auger

v68.0.02 for x86_64 was successful - ive been trying to compile it for ARM this week - the first run hit the memory wall again so i tried a few more
tricks - still not building though

with --enable-1to
——enable-linker=gold
fails with "memory exhausted" as before
/usr/bin/ld: final link failed: memory exhausted

without —--enable-lto
——enable-linker=gold
with —--with-system-libvpx
this has been broken since libvpx-1.8.0 and is apparently still broken with 1.8.1
/build/iceweasel/src/firefox-68.0.2/media/webrtc/trunk/webrtc/modules/video_coding/codecs/vp9/vp9_impl.cc:86
9:17:
error: no member named 'frame_flags' in 'vpx_svc_ref frame_config'

without --enable-lto
——enable-linker=gold

without --with-system-libvpx

Compiling gkrust v0.1.0 (/build/iceweasel/src/firefox-68.0.2/toolkit/library/rust)

Finished release [optimized] target(s) in 255m 28s

TEST-UNEXPECTED-FAIL | check_networking | libgkrust.a | Identified 13 networking function(s) being imported
in the rust static library

(accept,bind, connect, getaddrinfo, getsockname, getsockopt, listen, recv, recvfrom, send, sendto, setsockopt, socket)

make[4]: *** [/build/iceweasel/src/firefox-68.0.2/config/makefiles/rust.mk:249: /build/iceweasel/src/firefox
-68.0.2/0bj-armv71l-unknown-linux—-gnueabihf/armv7-unknown-linux-gnueabihf/release/libgkrust.a] Error 1
the only reference i could find to that error was not very helpful:
https://bugzilla.mozilla.org/show_bug.cgi?id=1376621

all of the above were using LLVMS8; which worked for x86_64 - rust has been problematic for all 32bit arches for years now
https://github.com/rust-lang/rust/issues/45854 - the arch32 bug tracker notes that they need to compile with LLVMv7.0 - parabola only has v7.1, but i
am trying that now (running out of ideas)

icecat is in the same boat with iceweasel now so i will link the two issues

#29 - 2019-09-03 02:52 PM - bill-auger
- Related to Packaging Request #2158: [icecat]: needs rebuild or upgrade for i686 and arm added

#30 - 2019-09-03 02:57 PM - bill-auger

- Subject changed from [iceweasel] upgrade to 68.0.1 to [iceweasel] needs upgrade to 68.0.1 for i686 and arm

#31 - 2019-09-03 05:36 PM - bill-auger

- Related to Bug #2273: [icu] Conflicts with iceape, icecat, icedove, iceweasel, openttd, texlive-bin (and maybe other packages), breaks GUI added
#32 - 2019-09-03 06:57 PM - bill-auger

same error with LLVMv7.1

i tried building v69.0 for x86_64 but the patches need re-working

#33 - 2019-09-21 05:44 PM - bill-auger

arch32 has similar trouble even with the pentium4 port; and have started documenting their progress

https://bugs.archlinux32.org/index.php?do=details&task_id=87

#34 - 2019-11-22 02:35 PM - bill-auger

- Subject changed from [iceweasel] needs upgrade to 68.0.1 for i686 and arm to [iceweasel] needs upgrade to v70 for i686 and arm

#35 - 2019-11-22 02:49 PM - bill-auger

- Related to Freedom Issue #2409: [iceweasel] Can recommend non-free extensions and themes on about:addons page added

#36 - 2019-11-22 02:49 PM - bill-auger

- Related to deleted (Freedom Issue #2409: [iceweasel] Can recommend non-free extensions and themes on about:addons page)

#37 - 2020-01-19 12:56 PM - bill-auger
- Related to Housekeeping #2546: [STICKY][poppler]: and friends (x86_64) added

#38 - 2020-05-05 12:58 PM - bill-auger
- Related to deleted (Housekeeping #2546: [STICKY][poppler]: and friends (x86_64))

#39 - 2020-12-15 01:27 PM - bill-auger

- Status changed from in progress to wont-fix

closing as stale - iceweasel is up to v78 now
